Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> WordPress Pingback Information Disclosure Vulnerability


Vulnerability Assessment Details

WordPress Pingback Information Disclosure Vulnerability

Vulnerability Assessment Summary
Tries to access a local file via WordPress' Pingback

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by
an information disclosure vulnerability.

Description :

The version of WordPress installed on the remote host fails to
sanitize the 'sourceURI' before passing it to the 'wp_remote_fopen()'
function when processing pingbacks. An unauthenticated remote
attacker can leverage this issue to, say, acertain the existence of
local files and possibly even to view parts of those files, subject to
the permissions of the web server user id.

In addition, the version is also reportedly susceptible to a denial of
service attack because it permits an anonymous attacker to cause a
server to fetch arbitrary URLs without limits.

See also :

http://www.securityfocus.com/archive/1/458003/30/0/threaded
http://comox.textdrive.com/pipermail/wp-svn/2007-January/002387.html

Solution :

Upgrade to WordPress version 2.1 or later.

Network Security Threat Level:

Low / CVSS Base Score : 2.3
(AV:R/AC:L/Au:NR/C:P/I:N/A:N/B:N)

Networks Security ID: 22220

Vulnerability Assessment Copyright: This script is Copyright (C) 2007 Tenable Network Security

Cables, Connectors

HP PROLIANT BL465C G8 SERVER TWO 6378 2.4GHZ 128GB 1TB SATA
$3369.0
HP PROLIANT BL465C G8 SERVER TWO 6378 2.4GHZ 128GB 1TB SATA pictureDELL POWEREDGE M630 E5-2640V3 2.6GHZ 64GB NO HDD H730
$2569.0
DELL POWEREDGE M630 E5-2640V3 2.6GHZ 64GB NO HDD H730 pictureDELL POWEREDGE M620 BLADE TWO E5-2630LV2 2.40GHZ 64GB 2 X 1.2TB 10K SAS H710
$1779.0
DELL POWEREDGE M620 BLADE TWO E5-2630LV2 2.40GHZ 64GB 2 X 1.2TB 10K SAS H710 pictureDELL POWEREDGE M630 E5-2698V4 2.2GHZ 256GB 2 X 1.6TB SSD S130
$7219.0
DELL POWEREDGE M630 E5-2698V4 2.2GHZ 256GB 2 X 1.6TB SSD S130 picture


Discussions

No Discussions have been posted on this vulnerability.